<?php
include_once("c_esmo_master.php");
class c_page_cab_esmo_master_personal extends c_page_cab_esmo_master
{
  public $h1='Рабочее место мастера - Cотрудники' ;

 function block_main()
 { $this->page_title() ;
   $this->panel_source_info() ;
   $this->panel_report_personal() ;
 }




 function panel_report_personal()
 {
     include_once(_DIR_EXT.'/esmo_master/report_master_personals.php') ;
     $report_obj=new report_master_personals() ;
     $report_obj->filter['otdel_id']=implode(',',$this->otdel_ids) ;
     $report_obj->setting() ;
     $report_obj->smena_interval=$this->smena_interval ;
     $report_obj->mo_terminal_group=$this->group_id ;
     $report_obj->mo_otdel_ids=$this->otdel_ids ;
     $report_obj->view() ;

 }


}



?>